<template>
	<div>
    <div class="white-block">
      <div class="padding">
        <h3>Выберите способ получения денег</h3>
      </div>
      <hr>
      <div class="padding" style="margin-bottom: 30px;">
        <div class="row">
          <div class="columns six">
            <label>Способ получения</label>
          </div>
        </div>
        <div class="row">
          <div class="columns six">
            <option-selector
              id="type_get_money"
              ref="baz"
              v-model="user.type_get_money"
              @click="setValue('type_get_money')"
              @change="setValue('type_get_money')"
              @input="setValue('type_get_money')"
              :options="['Банковская карта', 'Яндекс кошелек', 'Contact (выдача наличных)']"
            >
            </option-selector>

            <validate-message
              v-show="vErrors.has('type_get_money')"
            >{{ vErrors.first('type_get_money') }}
            </validate-message>

          </div>
          <div class="columns six margin-top-5">
            <p v-if="user.type_get_money === 'Банковская карта'">У вас есть банковская карта: вы можете получить займ прямо на нее в течение 10 минут. Это самый быстрый и безопасный способ!</p>
            <p v-if="user.type_get_money === 'Яндекс кошелек'">Все паспортные данные владельца кошелька Яндекс.Деньги должны полностью совпадать с данными, которые вы указали на первом шаге оформления займа.</p>
            <p v-if="user.type_get_money === 'Contact (выдача наличных)'">Займ можно будет получить в любом удобном вам Пункте Обслуживания CONTACT!</p>
          </div>
        </div>
      </div>
      <bank-card v-if="user.type_get_money === 'Банковская карта'"></bank-card>
      <yandex-purse  v-if="user.type_get_money === 'Яндекс кошелек'"></yandex-purse>
      <contact-give-money v-if="user.type_get_money === 'Contact (выдача наличных)'"></contact-give-money>
    </div>
	</div>
</template>

<script>
  import IndicatorRegistration from '@/mixins/IndicatorRegistration'
  import UserGetter from '@/mixins/User/UserGetterMixin'
  import UserSetter from '@/mixins/User/UserSetterMixin'
  import BankCard from './BankCard'
  import YandexPurse from './YandexPurse'
  import ContactGiveMoney from './ContactGiveMoney'
  import UserErrorText from '@/mixins/User/UserErrorTextMixin'
  import ValidateMessage from '@/components/Validators/ValidateMessage'
  import GetValidateClass from '@/mixins/Validation/GetValidateClassMixin'
  import { REQUIRED_FIELD } from '@/components/Validators/CustomVeeValidateMessage'

  import OptionSelector from '@/UI/OptionSelector'
  export default {
    name: 'type-get-money',
    mixins: [
      IndicatorRegistration,
      UserGetter,
      UserSetter,
      UserErrorText,
      GetValidateClass
    ],
    components: {
      BankCard,
      YandexPurse,
      ContactGiveMoney,
      ValidateMessage,
      OptionSelector
    },
    mounted () {
      this.$validator.localize(REQUIRED_FIELD)
    }
  }
</script>

<style>
  .margin-top-5{
    margin-top: -5px;
  }
  .margin-top-25{
    margin-top: -25px;
  }
</style>
